package com.malk.mc.service.impl;

import com.alibaba.fastjson.JSON;
import com.malk.mc.service.McRequestService;
import com.malk.server.common.VenR;
import com.malk.utils.UtilHttp;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class McRequestServiceImpl implements McRequestService {
    @Override
    public Map get(String url, Map headers, Map params) {
        Map map = (Map) JSON.parse(UtilHttp.doGet(url, headers, params));
        return map;
    }

    @Override
    public Map post(String url, Map headers, Map params, Map body) {
        Map map = (Map) JSON.parse(UtilHttp.doPost(url, headers, params, body));
        return map;
    }
}
